#version 330 core

//input data:
in  vec2 uv; //comes from vertex shader

//output data:
out vec3 color;

//values that stay constant for the whole mesh:
uniform sampler2D diffuseTexture;

void main()
{
	//Output color = color of the texture at the specified UV
	color = texture2D( diffuseTexture, uv ).rgb;
}
