#version 330 core

// Input vertex data, different for all executions of this shader:
layout(location = 0) in vec2 vertexPosition_homogeneousspace;
layout(location = 1) in vec2 vertexUV;

//output data: will be interpolated for each fragment
out vec2 uv;

//values that stay constant for the whole mesh:
//uniform mat4 MVP;

void main()
{
	// Output position of the vertex, in clip space
	gl_Position = vec4( vertexPosition_homogeneousspace, 0, 1 );
	
	//UV of the vertex:
	uv = vertexUV;
}
